LibOFX: OFCApplication Class Reference

LibOFX

Public Member Functions
OFCApplication Class Reference

This object is driven by OpenSP as it parses the SGML from the ofx file(s) More...

Inheritance diagram for OFCApplication:

## Public Member Functions
| OFCApplication (LibofxContext *p_libofx_context)
void | startElement (const StartElementEvent &event)
| Callback: Start of an OFX element. More...
void | endElement (const EndElementEvent &event)
| Callback: End of an OFX element. More...
void | data (const DataEvent &event)
| Callback: Data from an OFX element. More...
void | error (const ErrorEvent &event)
| Callback: SGML parse error. More...
void | openEntityChange (const OpenEntityPtr &para_entity_ptr)
| Callback: Receive internal OpenSP state. More...
| OFCApplication (LibofxContext *p_libofx_context)
void | startElement (const StartElementEvent &event)
| Callback: Start of an OFX element. More...
void | endElement (const EndElementEvent &event)
| Callback: End of an OFX element. More...
void | data (const DataEvent &event)
| Callback: Data from an OFX element. More...
void | error (const ErrorEvent &event)
| Callback: SGML parse error. More...
void | openEntityChange (const OpenEntityPtr &para_entity_ptr)
| Callback: Receive internal OpenSP state. More...

## Detailed Description

This object is driven by OpenSP as it parses the SGML from the ofx file(s)

Definition at line 45 of file build/libofx-0.10.0/lib/ofc_sgml.cpp.

## Member Function Documentation

## ◆ data() [1/2]

void OFCApplication::data | ( | const DataEvent & | event | ) |
| inline

Callback: Data from an OFX element.

An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data.

Definition at line 283 of file build/libofx-0.10.0/lib/ofc_sgml.cpp.

## ◆ data() [2/2]

void OFCApplication::data | ( | const DataEvent & | event | ) |
| inline

Callback: Data from an OFX element.

An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data.

Definition at line 283 of file lib/ofc_sgml.cpp.

## ◆ endElement() [1/2]

void OFCApplication::endElement | ( | const EndElementEvent & | event | ) |
| inline

Callback: End of an OFX element.

An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file.

Definition at line 211 of file build/libofx-0.10.0/lib/ofc_sgml.cpp.

## ◆ endElement() [2/2]

void OFCApplication::endElement | ( | const EndElementEvent & | event | ) |
| inline

Callback: End of an OFX element.

An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file.

Definition at line 211 of file lib/ofc_sgml.cpp.

## ◆ error() [1/2]

void OFCApplication::error | ( | const ErrorEvent & | event | ) |
| inline

Callback: SGML parse error.

An OpenSP callback, get's called when a parser error has occurred.

Definition at line 295 of file build/libofx-0.10.0/lib/ofc_sgml.cpp.

## ◆ error() [2/2]

void OFCApplication::error | ( | const ErrorEvent & | event | ) |
| inline

Callback: SGML parse error.

An OpenSP callback, get's called when a parser error has occurred.

Definition at line 295 of file lib/ofc_sgml.cpp.

## ◆ openEntityChange() [1/2]

void OFCApplication::openEntityChange | ( | const OpenEntityPtr & | para_entity_ptr | ) |
| inline

Callback: Receive internal OpenSP state.

An Internal OpenSP callback, used to be able to generate line number.

Definition at line 340 of file build/libofx-0.10.0/lib/ofc_sgml.cpp.

## ◆ openEntityChange() [2/2]

void OFCApplication::openEntityChange | ( | const OpenEntityPtr & | para_entity_ptr | ) |
| inline

Callback: Receive internal OpenSP state.

An Internal OpenSP callback, used to be able to generate line number.

Definition at line 340 of file lib/ofc_sgml.cpp.

## ◆ startElement() [1/2]

void OFCApplication::startElement | ( | const StartElementEvent & | event | ) |
| inline

Callback: Start of an OFX element.

An OpenSP callback, get's called when the opening tag of an OFX element appears in the file

Definition at line 66 of file build/libofx-0.10.0/lib/ofc_sgml.cpp.

## ◆ startElement() [2/2]

void OFCApplication::startElement | ( | const StartElementEvent & | event | ) |
| inline

Callback: Start of an OFX element.

An OpenSP callback, get's called when the opening tag of an OFX element appears in the file

Definition at line 66 of file lib/ofc_sgml.cpp.

The documentation for this class was generated from the following file:

- build/libofx-0.10.0/lib/ofc_sgml.cpp